# DaprAppCallbackProtos.TopicEventCERequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprAppCallbackProtos.TopicEventCERequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprAppCallbackProtos.TopicEventCERequest

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`, `Serializable`

Enclosing class:
  DaprAppCallbackProtos

    public static final class DaprAppCallbackProtos.TopicEventCERequest
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprAppCallbackProtos.TopicEventCERequestOrBuilder

     TopicEventCERequest message is compatible with CloudEvent spec v1.0

Protobuf type `dapr.proto.runtime.v1.TopicEventCERequest`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprAppCallbackProtos.TopicEventCERequest.Builder` TopicEventCERequest message is compatible with CloudEvent spec v1.0

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `DATA_CONTENT_TYPE_FIELD_NUMBER`
`static int` `DATA_FIELD_NUMBER`
`static int` `EXTENSIONS_FIELD_NUMBER`
`static int` `ID_FIELD_NUMBER`
`static int` `SOURCE_FIELD_NUMBER`
`static int` `SPEC_VERSION_FIELD_NUMBER`
`static int` `TYPE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`com.google.protobuf.ByteString` `getData()` The content of the event.
`String` `getDataContentType()` The content type of data value.
`com.google.protobuf.ByteString` `getDataContentTypeBytes()` The content type of data value.
`static DaprAppCallbackProtos.TopicEventCERequest` `getDefaultInstance()`
`DaprAppCallbackProtos.TopicEventCERequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Struct` `getExtensions()` Custom attributes which includes cloud event extensions.
`com.google.protobuf.StructOrBuilder` `getExtensionsOrBuilder()` Custom attributes which includes cloud event extensions.
`String` `getId()` The unique identifier of this cloud event.
`com.google.protobuf.ByteString` `getIdBytes()` The unique identifier of this cloud event.
`com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventCERequest>` `getParserForType()`
`int` `getSerializedSize()`
`String` `getSource()` source identifies the context in which an event happened.
`com.google.protobuf.ByteString` `getSourceBytes()` source identifies the context in which an event happened.
`String` `getSpecVersion()` The version of the CloudEvents specification.
`com.google.protobuf.ByteString` `getSpecVersionBytes()` The version of the CloudEvents specification.
`String` `getType()` The type of event related to the originating occurrence.
`com.google.protobuf.ByteString` `getTypeBytes()` The type of event related to the originating occurrence.
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`boolean` `hasExtensions()` Custom attributes which includes cloud event extensions.
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static DaprAppCallbackProtos.TopicEventCERequest.Builder` `newBuilder()`
`static DaprAppCallbackProtos.TopicEventCERequest.Builder` `newBuilder​(DaprAppCallbackProtos.TopicEventCERequest prototype)`
`DaprAppCallbackProtos.TopicEventCERequest.Builder` `newBuilderForType()`
`protected DaprAppCallbackProtos.TopicEventCERequest.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseDelimitedFrom​(InputStream input)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseFrom​(byte[] data)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseFrom​(InputStream input)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseFrom​(ByteBuffer data)`
`static DaprAppCallbackProtos.TopicEventCERequest` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventCERequest>` `parser()`
`DaprAppCallbackProtos.TopicEventCERequest.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### ID_FIELD_NUMBER

    public static final int ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### SOURCE_FIELD_NUMBER

    public static final int SOURCE_FIELD_NUMBER

See Also:
  Constant Field Values

#### TYPE_FIELD_NUMBER

    public static final int TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### SPEC_VERSION_FIELD_NUMBER

    public static final int SPEC_VERSION_FIELD_NUMBER

See Also:
  Constant Field Values

#### DATA_CONTENT_TYPE_FIELD_NUMBER

    public static final int DATA_CONTENT_TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### DATA_FIELD_NUMBER

    public static final int DATA_FIELD_NUMBER

See Also:
  Constant Field Values

#### EXTENSIONS_FIELD_NUMBER

    public static final int EXTENSIONS_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getId

    public String getId()

     The unique identifier of this cloud event.

`string id = 1;`

Specified by:
  `getId` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The id.

#### getIdBytes

    public com.google.protobuf.ByteString getIdBytes()

     The unique identifier of this cloud event.

`string id = 1;`

Specified by:
  `getIdBytes` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The bytes for id.

#### getSource

    public String getSource()

     source identifies the context in which an event happened.

`string source = 2;`

Specified by:
  `getSource` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The source.

#### getSourceBytes

    public com.google.protobuf.ByteString getSourceBytes()

     source identifies the context in which an event happened.

`string source = 2;`

Specified by:
  `getSourceBytes` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The bytes for source.

#### getType

    public String getType()

     The type of event related to the originating occurrence.

`string type = 3;`

Specified by:
  `getType` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The type.

#### getTypeBytes

    public com.google.protobuf.ByteString getTypeBytes()

     The type of event related to the originating occurrence.

`string type = 3;`

Specified by:
  `getTypeBytes` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The bytes for type.

#### getSpecVersion

    public String getSpecVersion()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Specified by:
  `getSpecVersion` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The specVersion.

#### getSpecVersionBytes

    public com.google.protobuf.ByteString getSpecVersionBytes()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Specified by:
  `getSpecVersionBytes` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The bytes for specVersion.

#### getDataContentType

    public String getDataContentType()

     The content type of data value.

`string data_content_type = 5;`

Specified by:
  `getDataContentType` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The dataContentType.

#### getDataContentTypeBytes

    public com.google.protobuf.ByteString getDataContentTypeBytes()

     The content type of data value.

`string data_content_type = 5;`

Specified by:
  `getDataContentTypeBytes` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The bytes for dataContentType.

#### getData

    public com.google.protobuf.ByteString getData()

     The content of the event.

`bytes data = 6;`

Specified by:
  `getData` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The data.

#### hasExtensions

    public boolean hasExtensions()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

Specified by:
  `hasExtensions` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  Whether the extensions field is set.

#### getExtensions

    public com.google.protobuf.Struct getExtensions()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

Specified by:
  `getExtensions` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`
Returns:
  The extensions.

#### getExtensionsOrBuilder

    public com.google.protobuf.StructOrBuilder getExtensionsOrBuilder()

     Custom attributes which includes cloud event extensions.

`.google.protobuf.Struct extensions = 7;`

Specified by:
  `getExtensionsOrBuilder` in interface `DaprAppCallbackProtos.TopicEventCERequestOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseFrom​(ByteBuffer data)
                                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseFrom​(ByteBuffer data,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseFrom​(com.google.protobuf.ByteString data)
                                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseFrom​(com.google.protobuf.ByteString data,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseFrom​(byte[] data)
                                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseFrom​(byte[] data,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseFrom​(InputStream input)
                                                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseFrom​(InputStream input,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseDelimitedFrom​(InputStream input)
                                                                        throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseDelimitedFrom​(InputStream input,
                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseFrom​(com.google.protobuf.CodedInputStream input)
                                                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventCERequest parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprAppCallbackProtos.TopicEventCERequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprAppCallbackProtos.TopicEventCERequest.Builder newBuilder()

#### newBuilder

    public static DaprAppCallbackProtos.TopicEventCERequest.Builder newBuilder​(DaprAppCallbackProtos.TopicEventCERequest prototype)

#### toBuilder

    public DaprAppCallbackProtos.TopicEventCERequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprAppCallbackProtos.TopicEventCERequest.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprAppCallbackProtos.TopicEventCERequest getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventCERequest> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventCERequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprAppCallbackProtos.TopicEventCERequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`